#
# spec file for package icmpinfo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           icmpinfo
Version:        1.11
Release:        lp160.1.2
Summary:        A Tool for Looking at ICMP Messages
License:        BSD-3-Clause
Group:          Productivity/Networking/Diagnostic
Url:            http://www.demailly.com/~dl/softs.html
Source:         icmpinfo-%{version}.tar.gz
Source1:        COPYRIGHT
Patch0:         icmpinfo-%{version}.dif
Requires:       netcfg libnss_usrfiles2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool for looking at the ICMP messages received on the running host.

%prep
%autosetup -p0

%build
make CFLAGS="-D_GNU_SOURCE -fvisibility=hidden %{optflags}" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} MANDIR=%{_mandir} install
cp %{SOURCE1} .

%files
%defattr(-,root,root)
%doc README NocTools.Infos TODO CHANGES COPYRIGHT
%{_mandir}/man?/*
%{_sbindir}/icmpinfo

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Thu Mar 23 2017 kstreitova@suse.com
- cleanup with spec-cleaner
* Thu Jan 12 2017 crrodriguez@opensuse.org
- net-tools is not required.
- fix various missing includes and a broken offsetof() definition.
  (icmpinfo-1.11.dif)
* Wed Oct  8 2014 jengelh@inai.de
- Enable parallel build, and remove old specfile tags/sections
- Remove DOC file which is the same as README
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jun  8 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Feb 21 2001 cihlar@suse.cz
- package separated from nkita
